CoordinateSystemCollection Class

class NXOpen.CoordinateSystemCollection

Bases: object

Represents a collection of NXOpen.CoordinateSystem.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.CoordinateSystem is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. To obtain an instance of this class, refer to NXOpen.BasePart

New in version NX3.0.0.

Methods

Method Description
CreateCoordinateSystem Creates a new cartesian coordinate system
CreateCylindricalCoordinateSystem Creates a new cylindrical coordinate system
CreateSphericalCoordinateSystem Creates a new spherical coordinate system

Method Detail

CreateCoordinateSystem

CoordinateSystemCollection.CreateCoordinateSystem

Overloaded method CreateCoordinateSystem

  • CreateCoordinateSystem(origin, orientation, isTemporary)
  • CreateCoordinateSystem(origin, xDirection, yDirection)
  • CreateCoordinateSystem(origin, orientation, isTemporary)
  • CreateCoordinateSystem(xform, update)

-------------------------------------

Creates a new cartesian coordinate system

Signature CreateCoordinateSystem(origin, orientation, isTemporary)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system)
  • orientation (NXOpen.Matrix3x3) – Orientation of the new coordinate system (relative to the absolute coordinate system). Must be orthonormal.
  • isTemporary (bool) – If the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns:

The created CartesianCoordinateSystem

Return type:

NXOpen.CartesianCoordinateSystem

New in version NX3.0.0.

License requirements: None.

-------------------------------------

Creates a new cartesian coordinate system

Signature CreateCoordinateSystem(origin, xDirection, yDirection)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system)
  • xDirection (NXOpen.Vector3d) – x direction of the new coordinate system (relative to the absolute coordinate system)
  • yDirection (NXOpen.Vector3d) – y direction of the new coordinate system (relative to the absolute coordinate system)
Returns:

The created CartesianCoordinateSystem

Return type:

NXOpen.CartesianCoordinateSystem

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Creates a new cartesian coordinate system

Signature CreateCoordinateSystem(origin, orientation, isTemporary)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system
  • orientation (NXOpen.NXMatrix) – Orientation of the new coordinate system
  • isTemporary (bool) – If the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns:

The created CartesianCoordinateSystem

Return type:

NXOpen.CartesianCoordinateSystem

New in version NX3.0.0.

License requirements: None.

-------------------------------------

Creates a CartesianCoordinateSystem from a Xform and update option.

Signature CreateCoordinateSystem(xform, update)

Parameters:
Returns:

The created CartesianCoordinateSystem

Return type:

NXOpen.CartesianCoordinateSystem

New in version NX4.0.0.

License requirements: None.

-------------------------------------

CreateCylindricalCoordinateSystem

CoordinateSystemCollection.CreateCylindricalCoordinateSystem

Overloaded method CreateCylindricalCoordinateSystem

  • CreateCylindricalCoordinateSystem(origin, xDirection, yDirection)
  • CreateCylindricalCoordinateSystem(origin, orientation, isTemporary)
  • CreateCylindricalCoordinateSystem(xform, update)

-------------------------------------

Creates a new cylindrical coordinate system

Signature CreateCylindricalCoordinateSystem(origin, xDirection, yDirection)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system)
  • xDirection (NXOpen.Vector3d) – x direction of the new coordinate system (relative to the absolute coordinate system)
  • yDirection (NXOpen.Vector3d) – y direction of the new coordinate system (relative to the absolute coordinate system)
Returns:

The created CylindricalCoordinateSystem

Return type:

NXOpen.CylindricalCoordinateSystem

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Creates a new cylindrical coordinate system

Signature CreateCylindricalCoordinateSystem(origin, orientation, isTemporary)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system
  • orientation (NXOpen.NXMatrix) – Orientation of the new coordinate system
  • isTemporary (bool) – If the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns:

The created CylindricalCoordinateSystem

Return type:

NXOpen.CylindricalCoordinateSystem

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Creates a CylindricalCoordinateSystem from a Xform and update option.

Signature CreateCylindricalCoordinateSystem(xform, update)

Parameters:
Returns:

The created CylindricalCoordinateSystem

Return type:

NXOpen.CylindricalCoordinateSystem

New in version NX4.0.0.

License requirements: None.

-------------------------------------

CreateSphericalCoordinateSystem

CoordinateSystemCollection.CreateSphericalCoordinateSystem

Overloaded method CreateSphericalCoordinateSystem

  • CreateSphericalCoordinateSystem(origin, xDirection, yDirection)
  • CreateSphericalCoordinateSystem(origin, orientation, isTemporary)
  • CreateSphericalCoordinateSystem(xform, update)

-------------------------------------

Creates a new spherical coordinate system

Signature CreateSphericalCoordinateSystem(origin, xDirection, yDirection)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system)
  • xDirection (NXOpen.Vector3d) – x direction of the new coordinate system (relative to the absolute coordinate system)
  • yDirection (NXOpen.Vector3d) – y direction of the new coordinate system (relative to the absolute coordinate system)
Returns:

The created SphericalCoordinateSystem

Return type:

NXOpen.SphericalCoordinateSystem

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Creates a new spherical coordinate system

Signature CreateSphericalCoordinateSystem(origin, orientation, isTemporary)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the new coordinate system (relative to the absolute coordinate system
  • orientation (NXOpen.NXMatrix) – Orientation of the new coordinate system
  • isTemporary (bool) – If the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns:

The created SphericalCoordinateSystem

Return type:

NXOpen.SphericalCoordinateSystem

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Creates a SphericalCoordinateSystem from a Xform and update option.

Signature CreateSphericalCoordinateSystem(xform, update)

Parameters:
Returns:

The created SphericalCoordinateSystem

Return type:

NXOpen.SphericalCoordinateSystem

New in version NX4.0.0.

License requirements: None.

-------------------------------------